## fnotifystat 0.01.10

=== Makefile ===
#
# Copyright (C) 2014 Canonical, Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

VERSION=0.01.10

CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'

BINDIR=/usr/sbin
MANDIR=/usr/share/man/man8

fnotifystat: fnotifystat.o
	$(CC) $(CFLAGS) $< -o $@ $(LDFLAGS)

fnotifystat.8.gz: fnotifystat.8
	gzip -c $< > $@

dist:
	rm -rf fnotifystat-$(VERSION)
	mkdir fnotifystat-$(VERSION)
	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING fnotifystat-$(VERSION)
	tar -zcf fnotifystat-$(VERSION).tar.gz fnotifystat-$(VERSION)
	rm -rf fnotifystat-$(VERSION)

clean:
	rm -f fnotifystat fnotifystat.o fnotifystat.8.gz
	rm -f fnotifystat-$(VERSION).tar.gz

install: fnotifystat fnotifystat.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp fnotifystat ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp fnotifystat.8.gz ${DESTDIR}${MANDIR}

=== debian/changelog ===
fnotifystat (0.01.10-1) unstable; urgency=medium

  * Makefile bump version
  * Replace fanotify to fnotifystat in man page
  * Fix typo, Pathename --> Pathname in man page
  * fnotifystat should be installed in /usr/sbin and not /usr/bin

 -- Colin King <colin.king@canonical.com>  Mon, 12 Jan 2015 18:18:21 +0000

fnotifystat (0.01.09-1) unstable; urgency=medium

  * Initial Debian release (Closes: #775219)
  * Makefile: bump version
  * Make -c stats divide by 1.0 rather than duration
  * Clean up the stats output headings
  * Add more information about the stats output
  * Add -f option
  * Remove extraneous . after -n option in help

 -- Colin King <colin.king@canonical.com>  Mon, 12 Jan 2015 17:40:00 +0000

fnotifystat (0.01.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Add -I and -D inode and device ordering modes
  * Forgot to only print verbose info with verbose mode set
  * Fix table, move notes outside table
  * Don't trap SIGSEGV SIGBUS
  * Make it easier to break out with SIGINT etc
  * Add event count in verbose mode
  * Add -m merge option
  * Fix delay explanation in manual
  * Add newline to -n help info

 -- Colin King <colin.king@canonical.com>  Sun, 11 Jan 2015 14:23:00 +0000

fnotifystat (0.01.07-1) unstable; urgency=medium

  * Makefile: remove math lib and bump version
  * Update man page date
  * Update copyright year
  * Make process name in verbose node a fixed field size
  * Add -x, -i, -n options
  * Pre-cache all process information
  * Add SIGUSR1 verbose mode toggle
  * Reduce scope of ret
  * Reduce scope of index i
  * Add more comments
  * Cater for '?' get opt option
  * Fix last example in manual
  * Update an example in the manual
  * Allow scaling factors of day, week, month.. to delay time
  * Add -s scaling option
  * Add cached proc info refresh timeout so data is not stale
  * Make -p option list PIDs or process names
  * Small code clean ups

 -- Colin King <colin.king@canonical.com>  Sat, 10 Jan 2015 20:41:10 +0000

fnotifystat (0.01.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove trailing . from man page title
  * Improve signal handling
  * Introduce get_tm time helper

 -- Colin King <colin.king@canonical.com>  Sun, 21 Dec 2014 22:25:00 +0000

fnotifystat (0.01.05-1) unstable; urgency=medium

  * Makefile: bump version again
  * Update Debian/control to 3.9.6 standards and debhelper version
  * Move man page to section 8

 -- Colin King <colin.king@canonical.com>  Thu, 13 Nov 2014 23:32:00 +0000

fnotifystat (0.01.04-1) unstable; urgency=medium

  * Makefile: bump version and add copyright boilerplate
  * Fix minor issues in manpage
  * Add more comments and make init more robust
  * Remove extraneous white space
  * Remove redundant code

 -- Colin King <colin.king@canonical.com>  Thu, 13 Nov 2014 23:21:00 +0000

fnotifystat (0.01.03-1) unstable; urgency=medium

  * Bump version
  * Add -T timestamp option
  * Minor clean up
  * Prettify modes
  * Improve error message info, minor tidy ups in code

 -- Colin King <colin.king@canonical.com>  Fri, 3 Oct 2014 15:20:00 +0000

fnotifystat (0.01.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Free filename, stop memory leak
  * Add process name info
  * Add -c option
  * Add -P sort option
  * Add -p option
  * Add more comments, add more constified args

 -- Colin King <colin.king@canonical.com>  Fri, 3 Oct 2014 12:38:00 +0000

fnotifystat (0.01.01-1) unstable; urgency=medium

  * Bump makefile
  * Ensure total matches number of total operations

 -- Colin King <colin.king@canonical.com>  Thu, 2 Oct 2014 20:29:00 +0000

fnotifystat (0.01.00-1) unstable; urgency=low

  * Initial version 

 -- Colin King <colin.king@canonical.com>  Thu, 2 Oct 2014 17:26:00 +0000

## fnotifystat 0.01.12

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014 Canonical, Ltd.
+# Copyright (C) 2013-2015 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.10
+VERSION=0.01.12
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"'
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -g -O2
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8

=== debian/changelog ===
fnotifystat (0.01.12-1~ubuntu15.04.1) vivid-backports; urgency=medium

  * No-change backport to vivid (LP: #1473390)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 12 Jul 2015 15:39:20 -0500

fnotifystat (0.01.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Make -x -i options work on all filenames
  * Use strtok instead of strtok_r
  * Check for read failure
  * Use process comm field if we can't get cmdline info
  * Replace hash_pjw with a faster alternative

 -- Colin King <colin.king@canonical.com>  Thu, 2 Jul 2015 12:57:00 +0100

fnotifystat (0.01.11-1) unstable; urgency=medium

  * Makefile: fix copyright dates, bump version
  * Change scope of mount and mounts (fixes cppcheck style warnings)
  * fnotifystat: clarify precedence on ternary operation (cppcheck style fix)
  * Remove sig handling on SIGILL and SIGABRT
  * Update man page, add in bullet points and copyright info

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 14:48:00 +0100

## fnotifystat 0.01.14

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.12
+VERSION=0.01.14
 
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -g -O2
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8

=== debian/changelog ===
fnotifystat (0.01.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix memory leak when filtering file paths (LP: #1506161)

 -- Colin King <colin.king@canonical.com>  Wed, 14 Oct 2015 18:57:00 +0100

fnotifystat (0.01.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Update compat to 9
  * Switch fields back in scale_t
  * Re-order items in struct for better memory packing
  * Move noreturn attributes
  * Remove -g option from CFLAGS

 -- Colin King <colin.king@canonical.com>  Tue, 18 Aug 2015 12:15:00 -0700

=== debian/control ===
Source: fnotifystat
Section: utils
Priority: optional
Maintainer: Colin King <colin.king@canonical.com>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Homepage: http://kernel.ubuntu.com/~cking/fnotifystat

Package: fnotifystat
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file activity monitoring tool
 Fnotifystat periodically dumps out the activity on files in the
 system. It can be used to identify rogue file activity and discover
 which processes are performing open/close/read/write operations
 on the files.

## fnotifystat 0.01.16

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2015 Canonical, Ltd.
+# Copyright (C) 2014-2016 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,9 +16,19 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.14
+VERSION=0.01.16
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+
+#
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8

=== debian/changelog ===
fnotifystat (0.01.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove extraneous declaration of ret to fix shadowing
  * constify fs1 fs2
  * Make some helper functions static
  * Makefile: add PEDANTIC flags

 -- Colin King <colin.king@canonical.com>  Wed, 2 Nov 2016 13:14:15 -0600

fnotifystat (0.01.15-1) unstable; urgency=medium

  * Makefile: bump version
  * reduce scope of ptr
  * debian/control: update Standards-Version to 3.9.8
  * Update and correct copyright years

 -- Colin King <colin.king@canonical.com>  Tue, 4 Oct 2016 09:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/fnotifystat

## fnotifystat 0.01.17

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2016 Canonical, Ltd.
+# Copyright (C) 2014-2017 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.16
+VERSION=0.01.17
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
fnotifystat (0.01.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update copyright year and date
  * Add variable pid size handling.
  * Re-order declarations of mounts and mount in fnotify_event_init
  * Update copyright year to source

 -- Colin King <colin.king@canonical.com>  Fri, 14 Apr 2017 17:15:13 +0100

## fnotifystat 0.02.00

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.01.17
+VERSION=0.02.00
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
fnotifystat (0.02.00-1) unstable; urgency=medium

  * Makefile: bump version to 0.02.00
  * debian/rules: remove extraneous space on line 5
  * debian/control: update Standards-Version to 4.1.2
  * unconsitfy pointer 'metadata' to fix a build warning
  * Fix build warning, include <sys/sysmacros.h>.

 -- Colin King <colin.king@canonical.com>  Thu, 4 Jan 2018 23:24:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 9)
 Homepage: http://kernel.ubuntu.com/~cking/fnotifystat

## fnotifystat 0.02.01

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2017 Canonical, Ltd.
+# Copyright (C) 2014-2018 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.00
+VERSION=0.02.01
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
fnotifystat (0.02.01-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/copyright: use secure URI
  * debian/control: update dephelper to >= 11
  * debian/control: remove trailing empty line
  * debian/compat: update to 11
  * voidify unused function returns
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Sun, 17 Jun 2018 13:14:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Homepage: http://kernel.ubuntu.com/~cking/fnotifystat
 
 Package: fnotifystat
@@ -14,4 +14,3 @@
  system. It can be used to identify rogue file activity and discover
  which processes are performing open/close/read/write operations
  on the files.
-

## fnotifystat 0.02.03

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2018 Canonical, Ltd.
+# Copyright (C) 2014-2019 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.01
+VERSION=0.02.03
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -42,7 +42,8 @@
 dist:
 	rm -rf fnotifystat-$(VERSION)
 	mkdir fnotifystat-$(VERSION)
-	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING fnotifystat-$(VERSION)
+	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING \
+		.travis.yml fnotifystat-$(VERSION)
 	tar -zcf fnotifystat-$(VERSION).tar.gz fnotifystat-$(VERSION)
 	rm -rf fnotifystat-$(VERSION)

=== debian/changelog ===
fnotifystat (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update to compat level 12

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 16:37:53 +0100

fnotifystat (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: Add travis file to dist rule
  * Manual: fix spelling mistakes
  * Update copyright year
  * Add travis yaml file

 -- Colin King <colin.king@canonical.com>  Sat, 6 Jul 2019 22:56:22 +0100

## fnotifystat 0.02.05

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2014-2019 Canonical, Ltd.
+# Copyright (C) 2014-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.03
+VERSION=0.02.05
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -32,6 +32,7 @@
 
 BINDIR=/usr/sbin
 MANDIR=/usr/share/man/man8
+BASHDIR=/usr/share/bash-completion/completions
 
 fnotifystat: fnotifystat.o
 	$(CC) $(CFLAGS) $< -o $@ $(LDFLAGS)
@@ -43,7 +44,7 @@
 	rm -rf fnotifystat-$(VERSION)
 	mkdir fnotifystat-$(VERSION)
 	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING \
-		.travis.yml fnotifystat-$(VERSION)
+		.travis.yml bash-completion fnotifystat-$(VERSION)
 	tar -zcf fnotifystat-$(VERSION).tar.gz fnotifystat-$(VERSION)
 	rm -rf fnotifystat-$(VERSION)
 
@@ -56,3 +57,5 @@
 	cp fnotifystat ${DESTDIR}${BINDIR}
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp fnotifystat.8.gz ${DESTDIR}${MANDIR}
+	mkdir -p ${DESTDIR}${BASHDIR}
+	cp bash-completion/fnotifystat ${DESTDIR}${BASHDIR}

=== debian/changelog ===
fnotifystat (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix early return from loop on bad fstat
  * Remove trailing whitespace
  * Add null check on fopen of /proc/mount
  * Add device name information with -D and -I flags

 -- Colin King <colin.king@canonical.com>  Thu, 27 Feb 2020 12:37:11 +0000

fnotifystat (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completions
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 13:51:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 Homepage: http://kernel.ubuntu.com/~cking/fnotifystat
 
 Package: fnotifystat

=== debian/watch ===
version=3
http://kernel.ubuntu.com/~cking/tarballs/fnotifystat/fnotifystat-(.+).tar.gz

## fnotifystat 0.02.07

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.05
+VERSION=0.02.07
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -44,7 +44,7 @@
 	rm -rf fnotifystat-$(VERSION)
 	mkdir fnotifystat-$(VERSION)
 	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING \
-		.travis.yml bash-completion fnotifystat-$(VERSION)
+		.travis.yml bash-completion snap fnotifystat-$(VERSION)
 	tar -zcf fnotifystat-$(VERSION).tar.gz fnotifystat-$(VERSION)
 	rm -rf fnotifystat-$(VERSION)

=== debian/changelog ===
fnotifystat (0.02.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix stashing of fs, we need to make a copy since fs can be free'd
  * snapcraft: remove trailing space after plugs: entry
  * Fix memory leak when using the -n option (LP: #1898991)

 -- Colin King <colin.king@canonical.com>  Thu, 8 Oct 2020 11:52:15 +0100

fnotifystat (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file, add
    Rules-Requires-Root no rule
  * Makefile: add snap to dist rule
  * Add in missing space
  * Add snapcraft ruless

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 11:05:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: fnotifystat
+Rules-Requires-Root: no
 Section: utils
 Priority: optional
 Maintainer: Colin King <colin.king@canonical.com>
 Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (=13),
+               libncurses5-dev
 Homepage: http://kernel.ubuntu.com/~cking/fnotifystat
 
 Package: fnotifystat

## fnotifystat 0.02.08

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
-# Copyright (C) 2014-2020 Canonical, Ltd.
+# Copyright (C) 2014-2021 Canonical, Ltd.
+# Copyright (C) 2021 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.07
+VERSION=0.02.08
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -27,7 +28,7 @@
 CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
 	-Wmissing-format-attribute -Wno-long-long -Wpacked \
 	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
-	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar -fanalyzer
 endif
 
 BINDIR=/usr/sbin
@@ -44,7 +45,7 @@
 	rm -rf fnotifystat-$(VERSION)
 	mkdir fnotifystat-$(VERSION)
 	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING \
-		.travis.yml bash-completion snap fnotifystat-$(VERSION)
+		.travis.yml bash-completion snap README.md fnotifystat-$(VERSION)
 	tar -zcf fnotifystat-$(VERSION).tar.gz fnotifystat-$(VERSION)
 	rm -rf fnotifystat-$(VERSION)

=== debian/changelog ===
fnotifystat (0.02.08-1) unstable; urgency=medium

  * Makefile: bump version
  * fnotifystat.c: update copyright email address
  * Makefile: update copyright email
  * Makefile: Add README.md to make dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/copyright: Update copyright and git URL
  * debian/control: update author email address and project URL
  * Add README.md
  * update copyright to 2021

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Nov 2021 19:30:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Rules-Requires-Root: no
 Section: utils
 Priority: optional
-Maintainer: Colin King <colin.king@canonical.com>
-Standards-Version: 4.1.2
+Maintainer: Colin Ian King <colin.i.king@gmail.com>
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libncurses5-dev
-Homepage: http://kernel.ubuntu.com/~cking/fnotifystat
+Homepage: https://github.com/ColinIanKing/fnotifystat
 
 Package: fnotifystat
 Architecture: linux-any

## fnotifystat 0.02.09

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021 Colin Ian King
+# Copyright (C) 2021-2022 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.08
+VERSION=0.02.09
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
fnotifystat (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update standards version to 4.6.1
  * Add count_rate helper to perform rate converstion and handle zero duration case
  * fnotify_stash: constify the pointer tm function parameter
  * Update copyright

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 6 Dec 2022 16:34:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
                libncurses5-dev

## fnotifystat 0.02.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021-2022 Colin Ian King
+# Copyright (C) 2021-2023 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.09
+VERSION=0.02.10
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -46,7 +46,7 @@
 	mkdir fnotifystat-$(VERSION)
 	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING \
 		.travis.yml bash-completion snap README.md fnotifystat-$(VERSION)
-	tar -zcf fnotifystat-$(VERSION).tar.gz fnotifystat-$(VERSION)
+	tar -Jcf fnotifystat-$(VERSION).tar.xz fnotifystat-$(VERSION)
 	rm -rf fnotifystat-$(VERSION)
 
 clean:

=== debian/changelog ===
fnotifystat (0.02.10-1) unstable; urgency=medium

  * Makefile: use xz compression for dist rule
  * debian/changelog: fix spelling mistake in changelog
  * debian/changelog: break an overly wide line
  * Makefile: bump version
  * debian/control: use standards version 4.6.2
  * debian/control: libncurses-dev instead of libncurses5-dev
  * Update copyright year

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 7 Feb 2023 14:50:57 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Ian King <colin.i.king@gmail.com>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 13),
                debhelper-compat (=13),
-               libncurses5-dev
+               libncurses-dev
 Homepage: https://github.com/ColinIanKing/fnotifystat
 
 Package: fnotifystat

## fnotifystat 0.02.11

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Copyright (C) 2014-2021 Canonical, Ltd.
-# Copyright (C) 2021-2023 Colin Ian King
+# Copyright (C) 2021-2024 Colin Ian King
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.10
+VERSION=0.02.11
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
 
@@ -45,7 +45,7 @@
 	rm -rf fnotifystat-$(VERSION)
 	mkdir fnotifystat-$(VERSION)
 	cp -rp Makefile fnotifystat.c fnotifystat.8 COPYING \
-		.travis.yml bash-completion snap README.md fnotifystat-$(VERSION)
+		.travis.yml bash-completion README.md fnotifystat-$(VERSION)
 	tar -Jcf fnotifystat-$(VERSION).tar.xz fnotifystat-$(VERSION)
 	rm -rf fnotifystat-$(VERSION)

=== debian/changelog ===
fnotifystat (0.02.11-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/rules: add missing hardening settings
  * Update copyright to 2024
  * Check for array bounds limit while parsing pid length string
  * Makefile: remove snap from make dist rule
  * Remove snapcraft
  * Replace "Device Name" with "Name"

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 12 Jan 2024 09:49:14 +0000

## fnotifystat 0.03.00

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.02.11
+VERSION=0.03.00
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2

=== debian/changelog ===
fnotifystat (0.03.00-1) unstable; urgency=medium

  * Makefile: bump version
  * Add sorting options -w (writes) and -r (reads)

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 15 May 2024 10:52:11 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/ColinIanKing/fnotifystat/tags \
             (?:.*?/)?V?(\d[\d.]*)\.tar\.gz debian uupdate
